Bug 1737177 - xfce windows minimised by luks passphrase popup
Summary: xfce windows minimised by luks passphrase popup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfwm4
Version: 30
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-03 12:44 UTC by Jeremy Harris
Modified: 2020-04-25 03:00 UTC (History)
2 users (show)

Fixed In Version: xfwm4-4.14.1-1.fc32 xfwm4-4.14.1-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-25 02:22:03 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Xfce 15891 0 None None None 2019-08-29 01:45:53 UTC

Description Jeremy Harris 2019-08-03 12:44:39 UTC
Description of problem:

 On doubleclick of a disk icon on the desktop, where the disk (actually an SD
card) is LUKS-encrypted, a popup window is presented for the LUKS passphrase.
At the same time, all other windows (on all workspaces) are minimised.  Their
gadgets in the taskbar are _not_ shown with bracketed titles, as would be
usual for a minimised window. An un-minimise action on the taskbar does take
effect (though, for some, usually the very first one, it takes two clicks) on
each window individually.

Version-Release number of selected component (if applicable):
  xfwm4-4.13.1-6.fc30.x86_64
  kernel:  5.1.20-300.fc30.x86_64

How reproducible:
  100%

Steps to Reproduce:
1. doubleclick desktop  disk icon to mount filesystem
2.
3.

Actual results:
  All current windows disappear, minimised.  Passphrase window appears.


Expected results:
  Current workspace windows stay displayed; no windows are minimised.
  Passphrase dialogue window appears on top of existing windows.


Additional info:
 Panel auto-hide always. Custom wallpaper. 6 workspaces.

Comment 1 Kevin Fenzi 2019-08-04 17:02:30 UTC
wow. thats pretty nasty. 

Would you be willing to file this upstream at bugzilla.xfce.org ? Or would you like us to?

Comment 2 Jeremy Harris 2019-08-05 12:42:55 UTC
(In reply to Kevin Fenzi from comment #1)
> Would you be willing to file this upstream at bugzilla.xfce.org ? Or would
> you like us to?

On the assumption you already have an account there, probably simplest for you to.  Thanks.

Comment 3 Fedora Update System 2020-04-13 21:51:49 UTC
FEDORA-2020-4b35226017 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4b35226017

Comment 4 Fedora Update System 2020-04-13 21:54:44 UTC
FEDORA-2020-32e2857fac has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-32e2857fac

Comment 5 Fedora Update System 2020-04-14 16:48:48 UTC
FEDORA-2020-4b35226017 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-4b35226017`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4b35226017

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-04-15 19:57:31 UTC
FEDORA-2020-32e2857fac has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-32e2857fac`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-32e2857fac

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-04-25 02:22:03 UTC
FEDORA-2020-4b35226017 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-04-25 03:00:25 UTC
FEDORA-2020-32e2857fac has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.